> Python 2.5 installieren

Dieses Thema im Forum "Debian/Ubuntu/Knoppix" wurde erstellt von sh_sh, 23.11.2008.

  1. sh_sh

    sh_sh Grünschnabel

    Dabei seit:
    23.11.2008
    Beiträge:
    5
    Zustimmungen:
    0
    Ich bin eigl. Windowsnutzer (bitte nicht schlagen ^^) und habe Debian bisher immer in einer VM laufen gehabt (VirtualBox).

    Das hat auch bisher immer gut funktioniert nur wollte ich jetzt Pythoncode ausführen, der min. Python 2.5 erfordert. Gut, dacht ich, aptitude auf und von debian.org saugen.

    Nur zeigt er mit trotz update an, das nur Python 2.4.4 verfügbar (und auch schon installiert) ist. Eine Internetverbindung steht - Ping zu google.de führt zur Namensauflösung.

    Wie bekom ich Python installiert :hilfe2:

    Danke schonmal :)
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 tuxlover, 23.11.2008
    tuxlover

    tuxlover Der den Tux knuddelt

    Dabei seit:
    26.10.2005
    Beiträge:
    2.106
    Zustimmungen:
    0
    Ort:
    berlin
    welche version hast du da?

    ich glaube du must lenny bzw. testing nehmen. also ändern mal die /etc/apt/sources.list auf testing bzw. lenny um und führe mal ein

    Code:
    apt-get update
    apt-get dist-upgrade
    apt-get upgrade
    
    wenn du immer auf einem relativ neuen softwarestand sein willst, empfiehlt es sich testing zu verwenden. lenny ist meines wissens nach frozen.
     
  4. #3 Goodspeed, 23.11.2008
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
    Käse!

    Wie wäre es mit
    Code:
    aptitude install python2.5
    
     
  5. #4 tuxlover, 23.11.2008
    Zuletzt bearbeitet: 23.11.2008
    tuxlover

    tuxlover Der den Tux knuddelt

    Dabei seit:
    26.10.2005
    Beiträge:
    2.106
    Zustimmungen:
    0
    Ort:
    berlin
    war nur ne vermutung. aber wenn er mit aptitude search python danach gesucht hätte, hätte er das ja rauskriegen müssen ;)
     
  6. sh_sh

    sh_sh Grünschnabel

    Dabei seit:
    23.11.2008
    Beiträge:
    5
    Zustimmungen:
    0
    Weiss ich leider nicht. Wie bekomm ich das raus?

    Code:
    apt-get update
    apt-get dist-upgrade
    apt-get upgrade
    
    hab ich gemacht hat leider nichts geholfen :(
     
  7. #6 Goodspeed, 23.11.2008
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
  8. sh_sh

    sh_sh Grünschnabel

    Dabei seit:
    23.11.2008
    Beiträge:
    5
    Zustimmungen:
    0
    das hatte ich zu spät gelesen sry^^

    Ich hab es gemacht aber es hat nicht geklappt. Python ist immernoch auf Version 2.4.4.

    Hab debian 4.0r5 - ist das lenny? Wenn nicht, wo kann ich das saugen ich finde auf der debian-page nur diese version.
     
  9. defcon

    defcon Kaiser
    Moderator

    Dabei seit:
    22.08.2005
    Beiträge:
    1.486
    Zustimmungen:
    1
    Ort:
    Bruchsal
  10. #9 tuxlover, 23.11.2008
    tuxlover

    tuxlover Der den Tux knuddelt

    Dabei seit:
    26.10.2005
    Beiträge:
    2.106
    Zustimmungen:
    0
    Ort:
    berlin
    sh_sh willst du mich veräppeln. wenn du das tatsächlich gemacht hast, dann hast du jetzt lenny bzw das aktuelle testing. darüber sollte man ganz easy python-2.5 upgraden können.
     
  11. #10 r34ln00b, 23.11.2008
    r34ln00b

    r34ln00b Tripel-As

    Dabei seit:
    22.02.2007
    Beiträge:
    169
    Zustimmungen:
    0
    Ich glaube, ihm ist nicht wirklich bekannt, ob er nun Lenny oder was anderes hat ;)
     
  12. #11 sh_sh, 23.11.2008
    Zuletzt bearbeitet: 23.11.2008
    sh_sh

    sh_sh Grünschnabel

    Dabei seit:
    23.11.2008
    Beiträge:
    5
    Zustimmungen:
    0
  13. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  14. #12 r34ln00b, 23.11.2008
    r34ln00b

    r34ln00b Tripel-As

    Dabei seit:
    22.02.2007
    Beiträge:
    169
    Zustimmungen:
    0
    Ein Upgrade kannst du nur durchgefürht haben, falls du vorher nicht auf Lenny warst und in der /etc/apt/sources.list auf Lenny getrimmt hast, falls es eben nicht schon zuvor Lenny war.

    Kann es sein, dass man Python 2.5 nur mit einem extra dafür bereitgestellten command starten kann? Zum Beispiel anstatt einfach nur "python" einzugeben jetzt "python2.5) o.Ä.?
     
  15. sh_sh

    sh_sh Grünschnabel

    Dabei seit:
    23.11.2008
    Beiträge:
    5
    Zustimmungen:
    0
    :D ja das geht. Danke!
     
Thema:

> Python 2.5 installieren

Die Seite wird geladen...

> Python 2.5 installieren - Ähnliche Themen

  1. DSL installieren und Python Compiler

    DSL installieren und Python Compiler: Hi, ich wollte auf einem altem Laptop mit Pentium III, 700mhz, und 178 mb ram, dsl installieren. Ich hatte das das schon mal drauf, aber...
  2. Python auf HP Jornada 720 Handheld installieren

    Python auf HP Jornada 720 Handheld installieren: Hallo! Ich würde gerne wissen ob man Python auf einem HP Jornada 720 installieren kann. Das Gerät hat einen 200 MHz ARM Prozessor, 32 MB Ram...
  3. Python Softwareentwickler (Hintergrundentwicklung und Datenanalyse)

    Python Softwareentwickler (Hintergrundentwicklung und Datenanalyse): Stelle : Software-Entwickler Anzahl : 3 Standort : Manila(Die Philippinen) Dezhong Investment LTD. Unser internationales...
  4. Python-Interpreter PyPy 5.0 freigegeben

    Python-Interpreter PyPy 5.0 freigegeben: Der Python-Interpreter PyPy wurde in Version 5.0 veröffentlicht. Die aktuelle Version des Interpreters, der wesentlich schneller als der...
  5. Python-Interpreter PyPy 4.0 freigegeben

    Python-Interpreter PyPy 4.0 freigegeben: Der Python-Interpreter PyPy wurde in Version 4.0 veröffentlicht. Die aktuelle Version des Interpreters, der wesentlich schneller als der...